---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libToggleNotifyJvmtiTest.dylib'
relocations:
  - { offsetInCU: 0x74, offset: 0x74, size: 0x8, addend: 0x0, symName: __ZL10agent_lock, symObjAddr: 0x245E0, symBinAddr: 0x8060, symSize: 0x0 }
  - { offsetInCU: 0xA3, offset: 0xA3, size: 0x8, addend: 0x0, symName: __ZL19vthread_started_cnt, symObjAddr: 0x245E8, symBinAddr: 0x8068, symSize: 0x0 }
  - { offsetInCU: 0xC8, offset: 0xC8, size: 0x8, addend: 0x0, symName: __ZL21GetCarrierThread_func, symObjAddr: 0x24608, symBinAddr: 0x8088, symSize: 0x0 }
  - { offsetInCU: 0x8CF3, offset: 0x8CF3, size: 0x8, addend: 0x0, symName: __ZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x1DF0, symBinAddr: 0x3090, symSize: 0x180 }
  - { offsetInCU: 0x8D2A, offset: 0x8D2A, size: 0x8, addend: 0x0, symName: __ZZL15get_thread_nameP9_jvmtiEnvP7JNIEnv_P8_jobjectE11UNNAMED_LEN, symObjAddr: 0x24610, symBinAddr: 0x8090, symSize: 0x0 }
  - { offsetInCU: 0x8F17, offset: 0x8F17, size: 0x8, addend: 0x0, symName: __ZL17vthread_ended_cnt, symObjAddr: 0x245EC, symBinAddr: 0x806C, symSize: 0x0 }
  - { offsetInCU: 0x8F30, offset: 0x8F30, size: 0x8, addend: 0x0, symName: __ZL18thread_started_cnt, symObjAddr: 0x245F0, symBinAddr: 0x8070, symSize: 0x0 }
  - { offsetInCU: 0x8F49, offset: 0x8F49, size: 0x8, addend: 0x0, symName: __ZL16thread_ended_cnt, symObjAddr: 0x245F4, symBinAddr: 0x8074, symSize: 0x0 }
  - { offsetInCU: 0x8F62, offset: 0x8F62, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x245F8, symBinAddr: 0x8078, symSize: 0x0 }
  - { offsetInCU: 0x8F7B, offset: 0x8F7B, size: 0x8, addend: 0x0, symName: __ZL13agent_started, symObjAddr: 0x24600, symBinAddr: 0x8080, symSize: 0x0 }
  - { offsetInCU: 0x978C, offset: 0x978C, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x2100, symSize: 0x30 }
  - { offsetInCU: 0x9BF0, offset: 0x9BF0, size: 0x8, addend: 0x0, symName: _VirtualThreadStart, symObjAddr: 0xE90, symBinAddr: 0x2130, symSize: 0x150 }
  - { offsetInCU: 0x9EFD, offset: 0x9EFD, size: 0x8, addend: 0x0, symName: __ZL28check_and_print_thread_namesP9_jvmtiEnvP7JNIEnv_P8_jobjectbPKc, symObjAddr: 0xFE0, symBinAddr: 0x2280, symSize: 0x2B0 }
  - { offsetInCU: 0xA46D, offset: 0xA46D, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1290, symBinAddr: 0x2530, symSize: 0x70 }
  - { offsetInCU: 0xA6D6, offset: 0xA6D6, size: 0x8, addend: 0x0, symName: _VirtualThreadEnd, symObjAddr: 0x1300, symBinAddr: 0x25A0, symSize: 0x150 }
  - { offsetInCU: 0xA9E3, offset: 0xA9E3, size: 0x8, addend: 0x0, symName: _ThreadStart, symObjAddr: 0x1450, symBinAddr: 0x26F0, symSize: 0x150 }
  - { offsetInCU: 0xACF0, offset: 0xACF0, size: 0x8, addend: 0x0, symName: _ThreadEnd, symObjAddr: 0x15A0, symBinAddr: 0x2840, symSize: 0x150 }
  - { offsetInCU: 0xAFFD, offset: 0xAFFD, size: 0x8, addend: 0x0, symName: _Java_ToggleNotifyJvmtiTest_IsAgentStarted, symObjAddr: 0x16F0, symBinAddr: 0x2990, symSize: 0xE0 }
  - { offsetInCU: 0xB1F5, offset: 0xB1F5, size: 0x8, addend: 0x0, symName: _Java_ToggleNotifyJvmtiTest_VirtualThreadStartedCount, symObjAddr: 0x17D0, symBinAddr: 0x2A70, symSize: 0xE0 }
  - { offsetInCU: 0xB3ED, offset: 0xB3ED, size: 0x8, addend: 0x0, symName: _Java_ToggleNotifyJvmtiTest_VirtualThreadEndedCount, symObjAddr: 0x18B0, symBinAddr: 0x2B50, symSize: 0xE0 }
  - { offsetInCU: 0xB5E5, offset: 0xB5E5, size: 0x8, addend: 0x0, symName: _Java_ToggleNotifyJvmtiTest_ThreadStartedCount, symObjAddr: 0x1990, symBinAddr: 0x2C30, symSize: 0xE0 }
  - { offsetInCU: 0xB7DD, offset: 0xB7DD, size: 0x8, addend: 0x0, symName: _Java_ToggleNotifyJvmtiTest_ThreadEndedCount, symObjAddr: 0x1A70, symBinAddr: 0x2D10, symSize: 0xE0 }
  - { offsetInCU: 0xBA8F, offset: 0xBA8F, size: 0x8, addend: 0x0, symName: _agent_init, symObjAddr: 0x1B50, symBinAddr: 0x2DF0, symSize: 0x220 }
  - { offsetInCU: 0xBDA7, offset: 0xBDA7, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1D70, symBinAddr: 0x3010, symSize: 0x40 }
  - { offsetInCU: 0xBE0F, offset: 0xBE0F, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1DB0, symBinAddr: 0x3050, symSize: 0x40 }
...
